> For the complete documentation index, see [llms.txt](https://docs.deltadefi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltadefi.io/start-trading/developers/api-documentation/account/order-records-3.md).

# Trades

## Get account trades

> Get execution records (trades) for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.

```json
{"openapi":"3.1.1","info":{"title":"Espresso API Server","version":"1.0"},"security":[{"ApiKeyAuth":[]}],"paths":{"/accounts/trades":{"get":{"description":"Get execution records (trades) for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.","tags":["accounts"],"summary":"Get account trades","parameters":[{"schema":{"type":"string"},"description":"API Key","name":"X-API-KEY","in":"header","required":true},{"schema":{"type":"string"},"description":"Trading pair symbol","name":"symbol","in":"query","required":true},{"schema":{"type":"integer"},"description":"Page number for pagination, default is 1","name":"page","in":"query"},{"schema":{"type":"integer"},"description":"Limit number of records per page, default is 10","name":"limit","in":"query"}],"responses":{"200":{"description":"Paginated account trades with decimal-adjusted quantities","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.PaginatedResponse-espresso_internal_api_response_OrderExecutionRecordResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}}}}}},"components":{"schemas":{"espresso_internal_api_response.PaginatedResponse-espresso_internal_api_response_OrderExecutionRecordResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderExecutionRecordResponse"}},"total_count":{"type":"integer"},"total_page":{"type":"integer"}}},"espresso_internal_api_response.OrderExecutionRecordResponse":{"type":"object","properties":{"account_id":{"type":"string"},"commission":{"type":"string"},"commission_unit":{"type":"string"},"counter_party_order_id":{"type":"string"},"created_at":{"type":"string"},"execution_price":{"type":"string"},"filled_base_qty":{"type":"string"},"filled_quote_qty":{"type":"string"},"id":{"type":"string"},"order_id":{"type":"string"},"role":{"allOf":[{"$ref":"#/components/schemas/schema.OrderExecutionRole"}]}}},"schema.OrderExecutionRole":{"type":"string","enum":["maker","taker"]},"espresso_internal_api_response.ErrorJSONWithCodeResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"}}}}}}
```
